## pg-repack 1.5.2

=== debian/changelog ===
pg-repack (1.5.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117285)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:40:26 +0200

pg-repack (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Dec 2024 11:29:23 +0100

pg-repack (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Sep 2024 22:57:46 +0200

pg-repack (1.5.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 22:51:39 +0200

=== debian/rules ===
#!/usr/bin/make -f

override_dh_pgxs_test:
	rm -rf /tmp/pg-repack-*
	mkdir /tmp/pg-repack-testts '/tmp/pg-repack-test"ts' '/tmp/pg-repack-test ts' '/tmp/pg-repack-1testts'
	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/*/bin)):$(PATH) \
		pg_buildext -i'--auth=trust' installcheck . regress postgresql-%v-repack
	rm -rf /tmp/pg-repack-*

override_dh_installdocs:
	dh_installdocs --all doc/*
	# Install an alternative for /usr/bin/pg_repack. We could wrap this
	# using pg_wrapper, but it doesn't matter which binary gets used (it
	# figures out the server version by itself), so we just use the one for
	# the newest server version.
	set -ex; \
	for v in $(shell pg_buildext supported-versions); do \
		i=$$(echo $$v | tr -d .); \
		echo "update-alternatives --install /usr/bin/pg_repack pg_repack /usr/lib/postgresql/$$v/bin/pg_repack $$i" >> debian/postgresql-$$v-repack.postinst.debhelper; \
		echo "update-alternatives --remove pg_repack /usr/lib/postgresql/$$v/bin/pg_repack" >> debian/postgresql-$$v-repack.prerm.debhelper; \
	done

%:
	dh $@ --with pgxs_loop

## pg-repack 1.5.3

=== Makefile ===
#
# pg_repack: Makefile
#
#  Portions Copyright (c) 2008-2011, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2020, The Reorg Development Team
#

PG_CONFIG ?= pg_config
EXTENSION = pg_repack

.PHONY: dist/$(EXTENSION)-$(EXTVERSION).zip

# Pull out PostgreSQL version number from pg_config
VERSION := $(shell $(PG_CONFIG) --version | sed 's/.* \([[:digit:].]\{1,\}\).*/\1/')
ifeq ("$(VERSION)","")
$(error pg_config not found)
endif

# PostgreSQL version as a number, e.g. 9.1.4 -> 901
INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))

# The version number of the library
EXTVERSION = $(shell grep '"version":' META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

# NOTE: keep consistent with META.json
ifeq ($(shell echo $$(($(INTVERSION) < 904))),1)
$(error $(EXTENSION) requires PostgreSQL 9.4 or later. This is $(VERSION))
endif

SUBDIRS = bin lib regress

all install installdirs uninstall distprep clean distclean maintainer-clean debug:
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || exit; \
	done

# We'd like check operations to run all the subtests before failing.
check installcheck:
	@CHECKERR=0; for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || CHECKERR=$$?; \
	done; \
	exit $$CHECKERR

# Prepare the package for PGXN submission
package: dist dist/$(EXTENSION)-$(EXTVERSION).zip

dist:
	mkdir -p dist

dist/$(EXTENSION)-$(EXTVERSION).zip:
	git archive --format zip --prefix=$(EXTENSION)-$(EXTVERSION)/ --output $@ master

=== bin/Makefile ===
#
# pg_repack: bin/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2020, The Reorg Development Team
#

PG_CONFIG ?= pg_config

SRCS = pg_repack.c pgut/pgut.c pgut/pgut-fe.c
OBJS = $(SRCS:.c=.o)
PROGRAM = pg_repack


# The version number of the program. It should be the same of the library.
REPACK_VERSION = $(shell grep '"version":' ../META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

PG_CPPFLAGS = -I$(libpq_srcdir) -DREPACK_VERSION=$(REPACK_VERSION)

ifdef DEBUG_REPACK
PG_CPPFLAGS += -DDEBUG_REPACK
endif

PG_LIBS = $(libpq)

# libs pgport, pgcommon moved somewhere else in some ubuntu version
# see ticket #179
PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)

USE_PGXS = 1	# use pgxs if not in contrib directory
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# remove dependency on libxml2, libxslt, and libpam.
# XXX: find a better way to make sure we are linking with libraries
# from pg_config which we actually need.
LIBS := $(filter-out -ledit -lgssapi_krb5 -lpam -lselinux -lxml2 -lxslt, $(LIBS))

=== doc/Makefile ===
RST2HTML = $(shell which rst2html || which rst2html.py)
RSTOPTS = --stylesheet-path=style.css,html4css1.css --initial-header-level=2

HTML = $(patsubst %.rst,%.html,$(wildcard *.rst))

.PHONY: clean

all : html

html : $(HTML)

%.html: %.rst style.css
	$(RST2HTML) $(RSTOPTS) $< $@

clean:
	rm -f $(HTML)

=== lib/Makefile ===
#
# pg_repack: lib/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2020, The Reorg Development Team
#

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | sed 's/.* \([[:digit:].]\{1,\}\).*/\1/')
INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))

EXTENSION = pg_repack
MODULE_big = $(EXTENSION)

OBJS = repack.o pgut/pgut-spi.o

SHLIB_EXPORTS = exports.txt


# It is not possible to create tables with OIDs on PostgreSQL 12 or later
ifeq ($(shell echo $$(($(INTVERSION) < 1200))),1)
    RELHASOIDS := relhasoids
else
    RELHASOIDS := false
endif

# The version number of the program. It should be the same of the library.
REPACK_VERSION = $(shell grep '"version":' ../META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

PG_CPPFLAGS = -DREPACK_VERSION=$(REPACK_VERSION)

DATA_built = pg_repack--$(REPACK_VERSION).sql pg_repack.control

USE_PGXS = 1
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# remove dependency on libxml2, libxslt, and libpam.
# XXX: find a better way to make sure we are linking with libraries
# from pg_config which we actually need.
LIBS := $(filter-out -lpam -lxml2 -lxslt, $(LIBS))

pg_repack.sql: pg_repack.sql.in
	echo "BEGIN;" > $@; \
	sed 's,MODULE_PATHNAME,$$libdir/$(MODULE_big),g' $< \
	| sed 's,REPACK_VERSION,$(REPACK_VERSION),g' >> $@; \
	echo "COMMIT;" >> $@;

pg_repack--$(REPACK_VERSION).sql: pg_repack.sql.in
	sed 's,REPACK_VERSION,$(REPACK_VERSION),g' $< \
	| sed 's,relhasoids,$(RELHASOIDS),g'> $@;

pg_repack.control: pg_repack.control.in
	sed 's,REPACK_VERSION,$(REPACK_VERSION),g' $< > $@

=== regress/Makefile ===
#
# pg_repack: regress/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2020, The Reorg Development Team
#

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | sed 's/.* \([[:digit:].]\{1,\}\).*/\1/')
INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))


#
# Test suite
#

REGRESS := init-extension repack-setup repack-run error-on-invalid-idx no-error-on-invalid-idx after-schema repack-check nosuper tablespace get_order_by trigger

USE_PGXS = 1	# use pgxs if not in contrib directory
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-repack (1.5.3-1.pgdg12+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Oct 2025 09:32:13 +0100

pg-repack (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Oct 2025 09:32:13 +0100

=== debian/control ===
Source: pg-repack
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git

Package: postgresql-10-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 10.

Package: postgresql-11-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 11.

Package: postgresql-12-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 12.

Package: postgresql-13-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 13.

Package: postgresql-14-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 14.

Package: postgresql-15-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 15.

Package: postgresql-16-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 16.

Package: postgresql-17-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 17.

Package: postgresql-18-repack
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 18.
